# norootforbuild

Name:		xfwpcnm
Version:	1
Release:	pm151.2.5

Summary:	A xfce4 wallpaper changer
License:	MIT
Group:		System/GUI/XFCE 
URL:		http://code.google.com/p/xfwpc/

Source0:	%{name}-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	gtk2-devel pkgconfig


%description
A xfce4 wallpaper changer:

The program simply sits in your tray and changes your wallpaper on a timed basis
rather than only when you log in. The code is nothing special, but it gets the
job done.

-Non-Mono Edition-


%prep
%setup -q
%__sed -i -e "s|xfwpc_icon.png|%{_datadir}/pixmaps/%{name}.png|g" %{name}.c


%build
%__cc %{name}.c -o %{name} `pkg-config --cflags --libs gtk+-2.0`


%install
%__install -D -m 755 %{name} %{buildroot}/%{_bindir}/%{name}
%__install -D -m 644 xfwpc_icon.png %{buildroot}/%{_datadir}/pixmaps/%{name}.png


%clean
rm -rf "%{buildroot}"


%files
%defattr(-,root,root,-)
%doc xfwpcnm_readme.txt
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sun Apr 18 2010 - Detlef Reichelt <detlef@links2linux.de> - 1
- initial build for PackMan <1>
